Skip to content

Get 'BrfApartmentRevenueRow'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Path
pkstringwrite-onlyrequired
GET
/revenue/revenuerows/brfapartmentrevenuerow/{pk}/
curl -i -X GET \
  'https://dev.api.pigello.io/revenue/revenuerows/brfapartmentrevenuerow/{pk}/' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE'

Responses

Successful selection

Bodyapplication/json
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

articleobject(Article)required
titlestring, <= 255 charactersrequired
unit_amountnumber, (float)required
unit_pricenumber, (float)required
spaceobject(BrfApartment)required
organizationobject or null(Organization)
custom_idstring or null, <= 128 characters
created_atstring, (date-time)read-only
start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

accounted_start_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: accounted_end_date

This value must be set together with the following fields: accounted_end_date

This value requires that the following fields are also set: start_date, end_date

accounted_end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: accounted_start_date

This value must be set together with the following fields: accounted_start_date

This value requires that the following fields are also set: start_date, end_date

periods_adjusts_total_amountboolean
excempt_from_monthsArray of any or null
ignore_retroactivity_tostring or null, (date)
custom_dimension_valuestring or null, <= 255 characters
automatic_distribution_valueobject or null(AutomaticDistributionTypeValue)read-only
automatic_distribution_quotaobject or null(AutomaticDistributionQuota)read-only
space_renovation_notationobject or null(SpaceRenovationNotation)read-only
structure_renovation_notationobject or null(StructureRenovationNotation)read-only
quota_feeobject or null(QuotaFee)read-only
quota_notationobject or null(QuotaNotation)read-only
tagsanyread-only
customer_columnsanyread-only
pending_monitor_approval_amountanyread-only
Response
{ "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "custom_id": "string", "created_at": "2019-08-24T14:15:22Z", "article": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "title": "string", "start_date": "2019-08-24", "end_date": "2019-08-24", "accounted_start_date": "2019-08-24", "accounted_end_date": "2019-08-24", "unit_amount": 0.1, "unit_price": 0.1, "periods_adjusts_total_amount": true, "excempt_from_months": [ null ], "ignore_retroactivity_to": "2019-08-24", "custom_dimension_value": "string", "automatic_distribution_value": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "automatic_distribution_quota": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "space_renovation_notation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "structure_renovation_notation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "space": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "quota_fee": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "quota_notation": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "tags": null, "customer_columns": null, "pending_monitor_approval_amount": null }